Форум русскоязычного сообщества Ubuntu


За новостями русскоязычного сообщества и Ubuntu в целом можно следить на нашей страничке в Google+

Автор Тема: Проблема с удалением старых ядер Ubuntu 12.04 LTS.  (Прочитано 669 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн BlowfiSSH

  • Автор темы
  • Любитель
  • *
  • Сообщений: 60
    • Просмотр профиля
Имеется Ubuntu 12.04 LTS x86_64 и следующая проблема: при удалении старого ядра система предлагает удалить довольно большое количество нужных пакетов как зависимости.
Удаляю ядра по проверенной временем процедуре:
uname -a
3.5.0-27-generic #46~precise1-Ubuntu SMP Tue Mar 26 19:33:21 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
sudo aptitude search linux-image | grep ^i
i   linux-image-3.2.0-40-generic    - Linux kernel image for version 3.2.0 on 64
i   linux-image-3.5.0-26-generic    - Linux kernel image for version 3.5.0 on 64
i   linux-image-3.5.0-27-generic    - Linux kernel image for version 3.5.0 on 64
i   linux-image-generic             - Generic Linux kernel image               
i   linux-image-generic-lts-quantal - Generic Linux kernel image
В данном случае я удаляю linux-image-3.5.0-26-generic командой sudo aptitude remove linux-image-3.5.0-26-generic и получаю на выходе: The following packages will be REMOVED: 
  linux-image-3.5.0-26-generic
0 packages upgraded, 0 newly installed, 1 to remove and 3 not upgraded.
Need to get 0 B of archives. After unpacking 156 MB will be freed.
The following packages have unmet dependencies:
 linux-image-generic-lts-quantal : Depends: linux-image-3.5.0-26-generic but it is not going to be installed.
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <libasound2:i386 1.0.25-1ubuntu10.1 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 124
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <wine-gecko1.4:i386 1.4.0-0ubuntu2 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 124
Internal error: the solver Install(espeak:i386 1.46.02-0ubuntu1 <espeak-data:amd64 1.46.02-0ubuntu1 -S> {espeak:amd64 1.46.02-0ubuntu1 espeak:i386 1.46.02-0ubuntu1}>) of a supposedly unresolved dependency is already installed in step 235
open: 73; closed: 275; defer: 32; conflict: 35                                 .Internal error: the solver Install(espeak:i386 1.46.02-0ubuntu1 <espeak-data:amd64 1.46.02-0ubuntu1 -S> {espeak:amd64 1.46.02-0ubuntu1 espeak:i386 1.46.02-0ubuntu1}>) of a supposedly unresolved dependency is already installed in step 470
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <libasound2:i386 1.0.25-1ubuntu10.1 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 790
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <wine-gecko1.4:i386 1.4.0-0ubuntu2 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 790
open: 201; closed: 592; defer: 128; conflict: 282                              oInternal error: the solver Install(espeak:i386 1.46.02-0ubuntu1 <espeak-data:amd64 1.46.02-0ubuntu1 -S> {espeak:amd64 1.46.02-0ubuntu1 espeak:i386 1.46.02-0ubuntu1}>) of a supposedly unresolved dependency is already installed in step 825
Internal error: the solver Install(fontconfig-config:amd64 2.8.0-3ubuntu9 <libfontconfig1:i386 2.8.0-3ubuntu9 -> {fontconfig-config:amd64 2.8.0-3ubuntu9}>) of a supposedly unresolved dependency is already installed in step 862
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <libasound2:i386 1.0.25-1ubuntu10.1 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 906
Internal error: the solver Install(dpkg:amd64 1.16.1.2ubuntu7 <wine-gecko1.4:i386 1.4.0-0ubuntu2 -> {dpkg:amd64 1.16.1.2ubuntu7 dpkg:amd64 1.16.1.2ubuntu7.1 dpkg:i386 1.16.1.2ubuntu7 dpkg:i386 1.16.1.2ubuntu7.1}>) of a supposedly unresolved dependency is already installed in step 906
open: 235; closed: 673; defer: 142; conflict: 293                              OInternal error: the solver Install(qdbus:i386 4:4.8.1-0ubuntu4.4 <libqt4-dbus:amd64 4:4.8.1-0ubuntu4.4 -S> {qdbus:amd64 4:4.8.1-0ubuntu4.4 qdbus:i386 4:4.8.1-0ubuntu4.4}>) of a supposedly unresolved dependency is already installed in step 981
The following actions will resolve these dependencies:

      Remove the following packages:                                           
1)      libasn1-8-heimdal:i386                                                 
2)      libasound2:i386                                                         
3)      libasound2-plugins:i386                                                 
4)      libasyncns0:i386                                                       
5)      libaudio2:i386                                                         
6)      libavahi-client3:i386                                                   
7)      libavahi-common3:i386                                                   
8)      libc6:i386                                                             
9)      libcapi20-3:i386                                                       
10)     libcomerr2:i386                                                         
11)     libcups2:i386                                                           
12)     libdb5.1:i386                                                           
13)     libdbus-1-3:i386                                                       
14)     libdbusmenu-qt2:i386                                                   
15)     libdrm-intel1:i386                                                     
16)     libdrm-nouveau1a:i386                                                   
17)     libdrm-nouveau2:i386                                                   
18)     libdrm-radeon1:i386                                                     
19)     libdrm2:i386                                                           
20)     libexif12:i386                                                         
21)     libexpat1:i386                                                         
22)     libffi6:i386                                                           
23)     libflac8:i386                                                           
24)     libfontconfig1:i386                                                     
25)     libfreetype6:i386                                                       
26)     libgcc1:i386                                                           
27)     libgcrypt11:i386                                                       
28)     libgd2-xpm:i386                                                         
29)     libgif4:i386                                                           
30)     libgl1-mesa-dri-lts-quantal:i386                                       
31)     libgl1-mesa-glx-lts-quantal:i386                                       
32)     libglapi-mesa-lts-quantal:i386                                         
33)     libglib2.0-0:i386                                                       
34)     libglu1-mesa:i386                                                       
35)     libgnutls26:i386                                                       
36)     libgpg-error0:i386                                                     
37)     libgphoto2-2:i386                                                       
38)     libgphoto2-port0:i386                                                   
39)     libgpm2:i386                                                           
40)     libgssapi-krb5-2:i386                                                   
41)     libgssapi3-heimdal:i386                                                 
42)     libgstreamer-plugins-base0.10-0:i386                                   
43)     libgstreamer0.10-0:i386                                                 
44)     libhcrypto4-heimdal:i386                                               
45)     libheimbase1-heimdal:i386                                               
46)     libheimntlm0-heimdal:i386                                               
47)     libhx509-5-heimdal:i386                                                 
48)     libice6:i386                                                           
49)     libieee1284-3:i386                                                     
50)     libjack-jackd2-0:i386                                                   
51)     libjpeg-turbo8:i386                                                     
52)     libjpeg8:i386                                                           
53)     libjson0:i386                                                           
54)     libk5crypto3:i386                                                       
55)     libkeyutils1:i386                                                       
56)     libkrb5-26-heimdal:i386                                                 
57)     libkrb5-3:i386                                                         
58)     libkrb5support0:i386                                                   
59)     liblcms1:i386                                                           
60)     libldap-2.4-2:i386                                                     
61)     libllvm3.0:i386                                                         
62)     libllvm3.1:i386                                                         
63)     libltdl7:i386                                                           
64)     libmng1:i386                                                           
65)     libmpg123-0:i386                                                       
66)     libmysqlclient18:i386                                                   
67)     libncurses5:i386                                                       
68)     libogg0:i386                                                           
69)     libopenal1:i386                                                         
70)     liborc-0.4-0:i386                                                       
71)     libp11-kit0:i386                                                       
72)     libpciaccess0:i386                                                     
73)     libpcre3:i386                                                           
74)     libpng12-0:i386                                                         
75)     libpulse0:i386                                                         
76)     libqt4-dbus:i386                                                       
77)     libqt4-declarative:i386                                                 
78)     libqt4-network:i386                                                     
79)     libqt4-script:i386                                                     
80)     libqt4-sql:i386                                                         
81)     libqt4-sql-mysql:i386                                                   
82)     libqt4-xml:i386                                                         
83)     libqt4-xmlpatterns:i386                                                 
84)     libqtcore4:i386                                                         
85)     libqtgui4:i386                                                         
86)     libqtwebkit4:i386                                                       
87)     libroken18-heimdal:i386                                                 
88)     libsamplerate0:i386                                                     
89)     libsane:i386                                                           
90)     libsasl2-2:i386                                                         
91)     libsasl2-modules:i386                                                   
92)     libselinux1:i386                                                       
93)     libsm6:i386                                                             
94)     libsndfile1:i386                                                       
95)     libspeexdsp1:i386                                                       
96)     libsqlite3-0:i386                                                       
97)     libssl1.0.0:i386                                                       
98)     libstdc++6:i386                                                         
99)     libtasn1-3:i386                                                         
100     libtiff4:i386                                                           
101     libtinfo5:i386                                                         
102     libtxc-dxtn-s2tc0:i386                                                 
103     libusb-0.1-4:i386                                                       
104     libuuid1:i386                                                           
105     libv4l-0:i386                                                           
106     libv4lconvert0:i386                                                     
107     libvorbis0a:i386                                                       
108     libvorbisenc2:i386                                                     
109     libwind0-heimdal:i386                                                   
110     libwrap0:i386                                                           
111     libx11-6:i386                                                           
112     libx11-xcb1:i386                                                       
113     libxau6:i386                                                           
114     libxcb-glx0:i386                                                       
115     libxcb1:i386                                                           
116     libxcomposite1:i386                                                     
117     libxcursor1:i386                                                       
118     libxdamage1:i386                                                       
119     libxdmcp6:i386                                                         
120     libxext6:i386                                                           
121     libxfixes3:i386                                                         
122     libxi6:i386                                                             
123     libxinerama1:i386                                                       
124     libxml2:i386                                                           
125     libxpm4:i386                                                           
126     libxrandr2:i386                                                         
127     libxrender1:i386                                                       
128     libxslt1.1:i386                                                         
129     libxss1:i386                                                           
130     libxt6:i386                                                             
131     libxv1:i386                                                             
132     libxxf86vm1:i386                                                       
133     linux-generic-lts-quantal                                               
134     linux-image-generic-lts-quantal                                         
135     skype                                                                   
136     skype-bin:i386                                                         
137     sni-qt:i386                                                             
138     wine-gecko1.4:i386                                                     
139     zlib1g:i386                                                             

      Leave the following dependencies unresolved:                             
140     libncurses5:i386 recommends libgpm2:i386                               
141     xserver-xorg-lts-quantal recommends linux-generic-lts-quantal           
142     libgl1-mesa-glx-lts-quantal:i386 recommends libgl1-mesa-dri-lts-quantal:
143     libgphoto2-2:i386 recommends udev:i386 (>= 0.175)                       
144     libgphoto2-2:i386 recommends libgphoto2-l10n:i386 (>= 2.4.13-1ubuntu1.2)
145     libqt4-dbus:i386 recommends qdbus:i386 (= 4:4.8.1-0ubuntu4.4)           
146     libqt4-sql:i386 recommends libqt4-sql-mysql:i386 | libqt4-sql-odbc:i386
147     skype-bin:i386 recommends sni-qt:i386
Я хорошо понимаю, что если соглашусь снести данные пакеты - получу огромные проблемы.
Как это пофиксить?
« Последнее редактирование: 13 Апрель 2013, 10:24:07 от BlowfiSSH »

Pilot6

  • Гость
Re: Проблема с удалением старых ядер Ubuntu 12.04 LTS.
« Ответ #1 : 13 Апрель 2013, 12:40:29 »
BlowfiSSH,
Удаляйте через synaptic лучше.

Оффлайн BlowfiSSH

  • Автор темы
  • Любитель
  • *
  • Сообщений: 60
    • Просмотр профиля
Re: Проблема с удалением старых ядер Ubuntu 12.04 LTS.
« Ответ #2 : 13 Апрель 2013, 13:29:24 »
BlowfiSSH,
Удаляйте через synaptic лучше.
Cпасибо! Проблема решена.

 

Страница сгенерирована за 0.242 секунд. Запросов: 21.